<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Setting;
use App\Models\Category;
use App\Models\Tag;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Cache;

class SettingController extends Controller
{
    public function index()
    {
        
    }
    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Setting $setting)
    {
        $popular_categories = Category::pluck('name', 'name')->all();
        $popular_tags = Tag::pluck('name', 'name')->all();

        return view('admin.settings.edit', compact('setting', 'popular_categories', 'popular_tags'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Setting $setting)
    {

        $setting->update([
            'popular_title'       => $request->popular_title,
            'recent_title'        => $request->recent_title,
            'category_title'      => $request->category_title,
            'popular_tags_title'  => $request->popular_tags_title,
            'footer_section'      => $request->footer_section,
        ]);

        $tagsId = collect($request->popular_tags)->map(function ($tag) {
            return Tag::firstOrCreate(['name' => $tag])->id;
        });

        $setting->tags()->sync($tagsId);

        $catsId = collect($request->popular_categories)->map(function ($category) {
            return Category::firstOrCreate(['name' => $category])->id;
        });

        $setting->categories()->sync($catsId);
        flash()->overlay('Website Settings updated successfully.');

        return redirect('/admin/settings/1/edit');
    }
}
