<?php

namespace App\Models;

use App\Models\Category;
use App\Models\Tag;
use App\Models\Post;
use Illuminate\Database\Eloquent\Model;

class Setting extends Model
{
    protected $fillable = [
        'popular_title',
        'recent_title',
        'category_title',
        'popular_tags_title',
        'footer_section',
    ];

    public function categories()
    {
        return $this->belongsToMany(Category::class)->withTimestamps();
    }

    public function tags()
    {
        return $this->belongsToMany(Tag::class)->withTimestamps();
    }
}
