@extends('layouts.app')

@section('content')
    <div class="container">
        <div class="row">

            <div class="col-md-12">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h2>
                            Advertisment Banners

                            <a href="{{ url('admin/banners/create') }}" class="btn btn-default pull-right">Create New</a>
                        </h2>
                    </div>

                    <div class="panel-body">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>Title</th>
                                    <th>Image</th>
									<th>Link</th>
                                    <th>Published</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                @forelse ($banners as $banner)
                                    <tr>
                                        <td>{{ $banner->title }}</td>
                                        <td><img id="original" src="{{ url('public/banner_img/'.$banner->image) }}" height="70" width="300"></td>
										<td>{{ str_limit($banner->link, 40) }}</td>
                                        <td>{{ $banner->published }}</td>
                                        <td>
                                            <a href="{{ url("/admin/banners/{$banner->id}/edit") }}" class="btn btn-xs btn-info">Edit</a>
                                            <a href="{{ url("/admin/banners/{$banner->id}") }}" data-method="DELETE" data-token="{{ csrf_token() }}" data-confirm="Are you sure?" class="btn btn-xs btn-danger">Delete</a>
                                        </td>
                                    </tr>
                                @empty
                                    <tr>
                                        <td colspan="5">No Banner available.</td>
                                    </tr>
                                @endforelse
                            </tbody>
                        </table>

                        {!! $banners->links() !!}

                    </div>
                </div>
            </div>

        </div>
    </div>
@endsection
