
<div class="form-group{{ $errors->has('title') ? ' has-error' : '' }}">
    {!! Form::label('title', 'Title', ['class' => 'col-md-2 control-label']) !!}

    <div class="col-md-8">
        {!! Form::text('title', null, ['class' => 'form-control', 'required', 'autofocus']) !!}

        <span class="help-block">
            <strong>{{ $errors->first('title') }}</strong>
        </span>
    </div>
</div>

<div class="form-group{{ $errors->has('image') ? ' has-error' : '' }}">
    {!! Form::label('image', 'Image', ['class' => 'col-md-2 control-label']) !!}

    <div class="col-md-8">
        {!! Form::file('image', null, ['class' => 'form-control', '', 'autofocus']) !!}
        @if(isset($post->image) && $post->image != '')
        <img id="original" src="{{ url('public/img/'.$post->image) }}" height="70" width="70">
        @endif

        <span class="help-block">
            <strong>{{ $errors->first('image') }}</strong>
        </span>
    </div>
</div>

<div class="form-group{{ $errors->has('body') ? ' has-error' : '' }}">
    {!! Form::label('body', 'Body', ['class' => 'col-md-2 control-label']) !!}

    <div class="col-md-8">
        {!! Form::textarea('body', null, ['class' => 'ckeditor form-control', 'required']) !!}

        <span class="help-block">
            <strong>{{ $errors->first('body') }}</strong>
        </span>
    </div>
</div>

<div class="form-group{{ $errors->has('is_popular') ? ' has-error' : '' }}">
    {!! Form::label('is_popular', 'Popular', ['class' => 'col-md-2 control-label']) !!}

    <div class="col-md-8">
    @if(isset($post->is_popular) && $post->is_popular == 0)
        {!! Form::checkbox('is_popular', null, null) !!}
    @else
        {!! Form::checkbox('is_popular', null) !!}
    @endif
        <span class="help-block">
            <strong>{{ $errors->first('is_popular') }}</strong>
        </span>
    </div>
</div>

<div class="form-group{{ $errors->has('is_trending') ? ' has-error' : '' }}">
    {!! Form::label('is_trending', 'Trending', ['class' => 'col-md-2 control-label']) !!}

    <div class="col-md-8">
    @if(isset($post->is_trending) && $post->is_trending == 0)
        {!! Form::checkbox('is_trending', null, null) !!}
    @else
        {!! Form::checkbox('is_trending', null) !!}
    @endif
        <span class="help-block">
            <strong>{{ $errors->first('is_trending') }}</strong>
        </span>
    </div>
</div>

<div class="form-group{{ $errors->has('category_id') ? ' has-error' : '' }}">
    {!! Form::label('category_id', 'Category', ['class' => 'col-md-2 control-label']) !!}

    <div class="col-md-8">
        {!! Form::select('category_id', $categories, null, ['class' => 'form-control', 'required']) !!}

        <span class="help-block">
            <strong>{{ $errors->first('category_id') }}</strong>
        </span>
    </div>
</div>

@php
    if(isset($post)) {
        $tag = $post->tags->pluck('name')->all();
    } else {
        $tag = null;
    }
@endphp

<div class="form-group{{ $errors->has('tags') ? ' has-error' : '' }}">
    {!! Form::label('tags', 'Tag', ['class' => 'col-md-2 control-label']) !!}

    <div class="col-md-8">
        {!! Form::select('tags[]', $tags, $tag, ['class' => 'form-control select2-tags', 'required', 'multiple']) !!}

        <span class="help-block">
            <strong>{{ $errors->first('tags') }}</strong>
        </span>
    </div>
</div>
<script src="//cdn.ckeditor.com/4.14.0/standard/ckeditor.js"></script>
<script type="text/javascript">
    $(document).ready(function() {
       $('.ckeditor').ckeditor();
    });
</script>
