<!DOCTYPE html>
<html lang="<?php echo e(config('app.locale')); ?>">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <title><?php echo e(config('app.name', 'All Star Driving School Ltd')); ?></title>
    <meta name="robots" content="index, follow">
    <meta name="keywords" content="">
    <meta name="description" content="">
    <!-- Styles -->
    <link href="<?php echo e(asset('css/app.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/plugins.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/style.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/color.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/theme-base.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(asset('css/responsive.css')); ?>" rel="stylesheet">
    
    <!-- Scripts -->
    <script>
        window.Laravel = <?php echo json_encode([
            'csrfToken' => csrf_token(),
        ]); ?>;
    </script>
</head>
<body>
    <div id="main">
        <div class="progress-bar-wrap">
            <div class="progress-bar color-bg"></div>
        </div>
        
        <header id="header" class="header-static">
            <div id="header-wrap">
                <div class="container">

                    <!--LOGO-->
                    <div id="logo" class="m-t-10 m-b-10">
                        <a href="<?php echo e(url('/')); ?>" class="logo" data-dark-logo="<?php echo e(asset('img/logo.jpg')); ?>">
                            <img src="<?php echo e(asset('img/logo.jpg')); ?>" alt="<?php echo e(config('app.name', 'Allstar Blog')); ?>">
                        </a>
                    </div>
                    <!--END: LOGO-->

                    <!--MOBILE MENU -->
                    <div class="nav-main-menu-responsive">
                        <button class="lines-button x">
                            <span class="lines"></span>
                        </button>
                    </div>
                    <!--END: MOBILE MENU -->


                    <!--NAVIGATION MENU-->
                    <div class="navbar-collapse collapse main-menu-collapse navigation-wrap">
                        <div class="container">
                            <form action="" method="post" id="provinceForm">

                                <div class="col-md-3 hidden-xs hidden-sm" style="float:right; margin-top:1%;">
                                    <p class="no-padding right " style="padding-top: 4px !important;" >Current Location : <strong><span id="locationSpan" class="text-dark">Richmond Hill</span> </strong>
                                        <br>
                                        Phone : <strong>(905) 883-8500</strong>
                                    </p>
                                </div>
                            

                                <div class="col-md-4" style="float:left; margin-top:1%;">
                                    <p class="no-padding right text-dark changelocationfont" style="padding-top: 4px !important;" ><strong>Select Location :</strong></p>
                                </div>

                                <div class="col-md-2 mymargin" style="float: left;margin-top:1%;">
                                    <select class="form-control btn-rounded select_" name="province" onchange="document.getElementById('provinceForm').submit();" id="locationDrpDwn">\
                                        <option value="1" >Aurora</option>
                                        <option value="17" >Barrie</option>
                                        <option value="2" >Bolton</option>
                                        <option value="3" >Bradford</option>
                                        <option value="4" >Central Toronto</option>
                                        <option value="5" >Etobicoke</option>
                                        <option value="6" >Keswick</option>
                                        <option value="7" >Maple</option>
                                        <option value="16" >Markham</option>
                                        <option value="9" >Mississauga</option>
                                        <option value="10" >Newmarket</option>
                                        <option value="11" >North York</option>
                                        <option value="15" >Oakville </option>
                                        <option value="12" selected>Richmond Hill</option>
                                        <option value="13" >Thornhill</option>
                                        <option value="14" >Woodbridge</option>
                                    </select>
                                </div>
                            </form>
                            <nav id="mainMenu" class="style-1 main-menu mega-menu">
                                <ul class="main-menu nav nav-pills">
                                    <li  class="active"><a href="<?php echo e(url('/')); ?>" class="btn-rounded">Home</a></li>
                                    <li ><a href="" class="btn-rounded">About Us</a></li>
                                    <li ><a href="" class="btn-rounded">Services</a></li>
                                    <li ><a href="" class="btn-rounded">Testimonials</a></li>
                                    <li ><a href="" class="btn-rounded">Registration</a></li>
                                    <li ><a href="" class="btn-rounded">Courses</a></li>
                                    <li  ><a href="" class="btn-rounded">FAQ's</a></li>
                                    <li ><a href="" class="btn-rounded">Schedule</a></li>
                                    <li ><a href="" class="btn-rounded">Locations</a></li>
                                    <li ><a href="" class="btn-rounded">Check Certification</a></li>
                                </ul>
                            </nav>
                        </div>
                    </div>
                    <!--END: NAVIGATION-->
                </div>
            </div>
        </header> 
        <section id="page-title" style="background-position: 0% -50.48px;" data-stellar-background-ratio="0.6" class="page-title-animate text-light">
		    <div class="background-overlay"></div>
		    <div class="container">
			    <div class="page-title col-md-9 m-t-20">
				    <h1 class="text-uppercase">Blog</h1>
			    </div>
			    <div class="breadcrumb col-md-3 text-right">
				    <ul>
					    <li><a href="<?php echo e(url('/')); ?>"><i class="fa fa-home"></i></a>
					    </li>
					    <!--<li><a href="">Home</a></li>-->
					    <li class="active">Blog</li>
				    </ul>
			    </div>
		    </div>
	    </section>
        <div id="wrapper">
            <div class="content">
                <?php echo $__env->yieldContent('content'); ?>
            </div>
            <footer id="footer" class="footer-light">
                <div class="footer-content">
                    <div class="container">
                        <div class="row">
                            <div class="col-md-2">
                                <img src="<?php echo e(asset('img/logo.jpg')); ?>"><br>
                                <p style="margin-left:10ox;"><strong>Address :</strong><br> 10815 Yonge St<br>
                                    Unit 6, Richmond Hill<br>
                                    L4C 3E3                    <br>
                                    <strong>Phone :</strong> (905) 883-8500 
                                </p>
                            </div>

                            <div class="col-md-10 text-right m-t-15">
                                <?php
                                    $find_array = array("<p>","</p>");
                                    $replace_array = array("","");
                                ?>
                                <?php echo str_replace($find_array,$replace_array,$sidebar_settings[0]['footer_section']); ?>

                                <br>
                                Copyright © All Star Driving Ltd. 2021. All rights reserved. |  <a href="">Privacy Policy</a>
                                <br><p id="userInfo"></p>

                                <div class="float-right" style="padding-left:50px;">
                                    <img src="<?php echo e(asset('img/best-img2.png')); ?>" alt=""></div>
                                
                                <div class="float-right">
                                    <a href="" target="_blank" title="Youtube"><img src="<?php echo e(asset('img/utube.jpg')); ?>" class="img-responsive float-right"></a>
                                    <a href="" target="_blank" title="Twiter"><img src="<?php echo e(asset('img/tw.jpg')); ?>" class="img-responsive float-right m-r-10"></a> 
                                    <a href="" target="_blank" title="Facebook"><img src="<?php echo e(asset('img/fb.jpg')); ?>" class="img-responsive float-right m-r-10"></a>
                                    <br>
                                    <br>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </footer>
        </div>
    </div>


    <!-- Scripts -->
    <script src="<?php echo e(asset('js/app.js')); ?>"></script>
    <script src="<?php echo e(asset('js/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('js/plugins.js')); ?>"></script>
    <script src="<?php echo e(asset('js/theme-functions.js')); ?>"></script>
    <script src="<?php echo e(asset('js/scripts.js')); ?>"></script>
</body>
</html><?php /**PATH /home/wwwaafrien/public_html/Webmaster2/allstar/resources/views/layouts/frontend_app.blade.php ENDPATH**/ ?>