
<div class="form-group<?php echo e($errors->has('title') ? ' has-error' : ''); ?>">
    <?php echo Form::label('title', 'Title', ['class' => 'col-md-2 control-label']); ?>


    <div class="col-md-8">
        <?php echo Form::text('title', null, ['class' => 'form-control', 'required', 'autofocus']); ?>


        <span class="help-block">
            <strong><?php echo e($errors->first('title')); ?></strong>
        </span>
    </div>
</div>

<div class="form-group<?php echo e($errors->has('image') ? ' has-error' : ''); ?>">
    <?php echo Form::label('image', 'Image', ['class' => 'col-md-2 control-label']); ?>


    <div class="col-md-8">
        <?php echo Form::file('image', null, ['class' => 'form-control', '', 'autofocus']); ?>

        <?php if(isset($post->image) && $post->image != ''): ?>
        <img id="original" src="<?php echo e(url('public/img/'.$post->image)); ?>" height="70" width="70">
        <?php endif; ?>

        <span class="help-block">
            <strong><?php echo e($errors->first('image')); ?></strong>
        </span>
    </div>
</div>

<div class="form-group<?php echo e($errors->has('body') ? ' has-error' : ''); ?>">
    <?php echo Form::label('body', 'Body', ['class' => 'col-md-2 control-label']); ?>


    <div class="col-md-8">
        <?php echo Form::textarea('body', null, ['class' => 'ckeditor form-control', 'required']); ?>


        <span class="help-block">
            <strong><?php echo e($errors->first('body')); ?></strong>
        </span>
    </div>
</div>

<div class="form-group<?php echo e($errors->has('is_popular') ? ' has-error' : ''); ?>">
    <?php echo Form::label('is_popular', 'Popular', ['class' => 'col-md-2 control-label']); ?>


    <div class="col-md-8">
    <?php if(isset($post->is_popular) && $post->is_popular == 0): ?>
        <?php echo Form::checkbox('is_popular', null, null); ?>

    <?php else: ?>
        <?php echo Form::checkbox('is_popular', null); ?>

    <?php endif; ?>
        <span class="help-block">
            <strong><?php echo e($errors->first('is_popular')); ?></strong>
        </span>
    </div>
</div>

<div class="form-group<?php echo e($errors->has('is_trending') ? ' has-error' : ''); ?>">
    <?php echo Form::label('is_trending', 'Trending', ['class' => 'col-md-2 control-label']); ?>


    <div class="col-md-8">
    <?php if(isset($post->is_trending) && $post->is_trending == 0): ?>
        <?php echo Form::checkbox('is_trending', null, null); ?>

    <?php else: ?>
        <?php echo Form::checkbox('is_trending', null); ?>

    <?php endif; ?>
        <span class="help-block">
            <strong><?php echo e($errors->first('is_trending')); ?></strong>
        </span>
    </div>
</div>

<div class="form-group<?php echo e($errors->has('category_id') ? ' has-error' : ''); ?>">
    <?php echo Form::label('category_id', 'Category', ['class' => 'col-md-2 control-label']); ?>


    <div class="col-md-8">
        <?php echo Form::select('category_id', $categories, null, ['class' => 'form-control', 'required']); ?>


        <span class="help-block">
            <strong><?php echo e($errors->first('category_id')); ?></strong>
        </span>
    </div>
</div>

<?php
    if(isset($post)) {
        $tag = $post->tags->pluck('name')->all();
    } else {
        $tag = null;
    }
?>

<div class="form-group<?php echo e($errors->has('tags') ? ' has-error' : ''); ?>">
    <?php echo Form::label('tags', 'Tag', ['class' => 'col-md-2 control-label']); ?>


    <div class="col-md-8">
        <?php echo Form::select('tags[]', $tags, $tag, ['class' => 'form-control select2-tags', 'required', 'multiple']); ?>


        <span class="help-block">
            <strong><?php echo e($errors->first('tags')); ?></strong>
        </span>
    </div>
</div>
<script src="//cdn.ckeditor.com/4.14.0/standard/ckeditor.js"></script>
<script type="text/javascript">
    $(document).ready(function() {
       $('.ckeditor').ckeditor();
    });
</script>
<?php /**PATH /home/wwwaafrien/public_html/Webmaster2/allstar/resources/views/admin/posts/_form.blade.php ENDPATH**/ ?>